{
  "author": "{{author.name}} <{{author.email}}> ({{link.home}})",
  "blueprint": {
    "repository": {
      "github": "{{#if repository.github}}{{repository.github}}{{else}}https://github.com/{{profile.github}}/{{repository.prefix.github}}{{slug}}{{/if}}",
      "gitlab": "{{#if repository.gitlab}}{{repository.gitlab}}{{else}}{{repository.gitlabBaseUrl}}/{{group}}/{{subgroup}}/{{slug}}{{/if}}"
    }
  },
  "bugs": {
    "email": "{{email.help}}",
    "url": "{{#if repository.gitlab}}{{repository.gitlab}}{{else}}{{repository.gitlabBaseUrl}}/{{group}}/{{subgroup}}/{{slug}}{{/if}}{{repository.location.issues.gitlab}}"
  },
  "changelog": {
    "displayTypes": [
      "feat",
      "fix",
      "perf",
      "refactor",
      "revert"
    ],
    "showAuthor": true
  },
  "commitlint": {
    "extends": [
      "@commitlint/config-conventional"
    ],
    "helpUrl": "https://megabyte.space/docs/contributing/commits"
  },
  "config": {
    "commitizen": {
      "path": "node_modules/git-cz-emoji"
    }
  },
  "dependencies": {},
  "description": "{{description}}",
  "devDependencies": {
    "@commitlint/config-conventional": "latest",
    "@types/node": "^16.11.6",
    "esbuild": "^0.12.29",
    "esbuild-node-externals": "^1.3.0",
    "eslint-config-strict-mode": "latest",
    "git-cz-emoji": "latest",
    "handlebars-helpers": "latest",
    "jest-preset-ts": "latest",
    "prettier": "^2.4.1",
    "prettier-config-sexy-mode": "latest",
    "semantic-release-config": "latest",
    "typescript": "^4.5.5"
  },
  "engines": {
    "node": ">=18.4.0"
  },
  "eslintConfig": {
    "extends": "eslint-config-strict-mode"
  },
  "files": [
    "dist",
    "lib"
  ],
  "funding": [
    {
      "type": "opencollective",
      "url": "{{profile_link.opencollective}}/{{profile.opencollective}}"
    },
    {
      "type": "patreon",
      "url": "{{profile_link.patreon}}/{{profile.patreon}}"
    }
  ],
  "homepage": "{{link.home}}",
  "jest": {
    "preset": "jest-preset-ts",
    "reporters": [
      "default",
      [
        "jest-html-reporters",
        {
          "filename": "index.html",
          "logoImgPath": "./.config/assets/logo-jest-report.png",
          "openReport": true,
          "pageTitle": "Code Coverage Report",
          "publicPath": "./coverage"
        }
      ]
    ]
  },
  "jscpd": {
    "absolute": true,
    "gitignore": true,
    "ignore": [
      "!**/.devcontainer/**/*",
      "!**/.config/**/*",
      "!**/.git/**/*",
      "!**/.github/**/*",
      "!**/.gitlab/**/*",
      "!**/.vscode/**/*",
      "!**/common/.config/taskfiles/**/*",
      "!**/docs/**/*",
      "!**/.editorconfig",
      "!**/.gitignore",
      "!**/.npmrc",
      "!**/.gitlab-ci.yml",
      "!**/README.md",
      "!**/LICENSE",
      "!**/Taskfile.yml",
      "!**/logo.png",
      "!**/package.json",
      "!**/start.sh",
      "!**/pnpm-lock.yaml",
      "!**/package-lock.json",
      "!**/poetry.lock",
      "!**/pyproject.toml",
      "!**/requirements.yml",
      "!**/yarn.lock",
      "!**/deprecated/**/*"
    ],
    "threshold": 14
  },
  "keywords": [
    "library",
    "mblabs",
    "megabytelabs",
    "professormanhattan",
    "washingtondc"
  ],
  "license": "{{license}}",
  "lint-staged": {
    "(Brewfile|composer.lock|Gemfile|Gopkg.lock|Pipfile.lock)": [
      "task fix:prettier --"
    ],
    "**/!(logo).(jpg|png)": [
      "task image:compress --"
    ],
    "**/*": [
      "task lint:any --"
    ],
    "**/*!(template).(json|webapp|webmanifest)": [
      "task fix:json --"
    ],
    "**/*.(bash|cfg|cgi|command|css|env|env.*|handlebars|hbs|html|less|fcgi|java|md|mdx|mjml|php|phtml|properties|reg|scss|tmpl|tmux|tool|tpl|zsh)": [
      "task fix:prettier --"
    ],
    "**/*.(cjs|js|jsx|mjs|ts|tsx)": [
      "task fix:js --",
      "task lint:js --"
    ],
    "**/*.(yml|yaml)": [
      "task fix:yaml --",
      "task lint:yaml --"
    ],
    "**/*.go": [
      "task fix:go --",
      "task lint:go --"
    ],
    "**/*.md": [
      "task fix:markdown --",
      "task lint:spelling:markdown --"
    ],
    "**/*.php": [
      "task fix:php --",
      "task lint:php --"
    ],
    "**/*.py": [
      "task fix:python --",
      "task lint:python --"
    ],
    "**/*.sh": [
      "task fix:prettier --",
      "task fix:shell --",
      "task lint:shell --"
    ],
    "**/*.toml": [
      "task fix:toml --",
      "task fix:prettier --",
      "task lint:toml --"
    ],
    "**/*.xml": [
      "task fix:xml --",
      "task lint:xml --"
    ],
    "Dockerfile": [
      "task fix:prettier --",
      "task lint:docker --"
    ],
    "Vagrantfile": [
      "task fix:prettier --",
      "task lint:vagrant"
    ],
    "logo.(gif|jpg|jpeg|webp)": [
      "task image:convert:logo --"
    ],
    "logo.png": [
      "task image:resize -- 200 200",
      "task image:compress --"
    ]
  },
  "main": "dist/main.js",
  "name": "{{#if customPackageName}}{{customPackageName}}{{else}}@{{profile.npmjs_organization}}/{{repository.prefix.github}}{{slug}}{{/if}}",
  "nodemonConfig": {
    "exec": "tsc -p . && node --inspect-brk dist/main",
    "ext": "js,jsx,json,ts,tsx,yml",
    "ignore": [
      "src/**/*.spec.ts"
    ],
    "watch": [
      ".env",
      "src"
    ]
  },
  "ntl": {
    "descriptions": {
      "build": "Builds the project using the build command specified under scripts in package.json",
      "bump": "Used to quickly build, increase the package.json version, and publish the package",
      "commit": "If unsure, use this task to commit your code so that it adheres to our commit rules",
      "fix": "Run auto-fixing with all available auto-fixers",
      "help": "Display the Bodega Taskfile.yml interactive help menu",
      "lint": "Lint the project with all available linters",
      "preload": "Preload the operating system with commonly used libraries and tools",
      "prepare": "A hook triggered by running npm install that runs logic such as installing pre-commit hooks",
      "release": "Publish the software to all supported channels using semantic-release",
      "repair": "Fixes basic issues in projects that are having trouble running basic commands like 'task start'",
      "start": "Entrypoint for new developers that installs requirements and then runs 'task start'",
      "test": "Runs the appropriate test logic by running the test command defined under scripts in package.json",
      "unpack": "Populates production node_modules from compressed copies saved in the .modules/ folder",
      "update": "Update and refresh the repository with upstream changes and templated parts"
    }
  },
  "optionalDependencies": {},
  "peerDependenciesMeta": {
    "eslint": {
      "optional": true
    }
  },
  "pnpm": {
    "allowedVersions": {
      "@typescript-eslint/eslint-plugin": "5",
      "typescript": "4"
    },
    "neverBuiltDependencies": [
      "core-js",
      "core-js-pure",
      "highlight.js"
    ],
    "peerDependencyRules": {
      "ignoreMissing": [
        "eslint",
        "prettier",
        "puppeteer"
      ]
    }
  },
  "prettier": "prettier-config-sexy-mode",
  "private": false,
  "publishConfig": {
    "@gitlab:registry": "https://gitlab.com/api/v4/projects/{{gitlab_project_id}}/packages/npm/",
    "access": "{{npm_publish_config_access}}",
    "registry": "https://registry.npmjs.org/",
    "tag": "edge"
  },
  "release": {
    "branches": [
      "main",
      "master",
      "next",
      {
        "name": "beta",
        "prerelease": true
      }
    ],
    "extends": "semantic-release-config"
  },
  "repository": {
    "type": "git",
    "url": "git+{{#if repository.github}}{{repository.github}}{{else}}https://github.com/{{profile.github}}/{{repository.prefix.github}}{{slug}}{{/if}}.git"
  },
  "scripts": {
    "build": "bash start.sh && {{{replace scriptsBuild scriptsReplaceThis scriptsReplaceWith}}}",
    "bump": "bash start.sh && task npm:bump",
    "commit": "bash start.sh && task commit",
    "fix": "bash start.sh && task fix",
    "help": "bash start.sh && task --menu",
    "lint": "bash start.sh && task lint",
    "preload": "bash start.sh && task preload",
    "prepare": "bash start.sh && (test -f Taskfile.yml && task npm:prepare) || true",
    "release": "bash start.sh && task publish:semantic-release",
    "repair": "bash <(curl -sS https://install.doctor/repair)",
    "start": "test -z $SKIP_NPM_START && bash start.sh || true",
    "test": "bash start.sh && {{{replace scriptsTest scriptsReplaceThis scriptsReplaceWith}}}",
    "unpack": "bash start.sh && task npm:bundle:unpack",
    "update": "bash start.sh && task update",
    "vscode": "bash start.sh && task vscode"
  },
  "type": "{{npm_type}}",
  "typings": "dist/main.d.ts",
  "version": "{{version}}",
  "volta": {
    "node": "16.19.1",
    "yarn": "1.22.19"
  }
}
